Skip to main content
`Ctrl`+`K`

# PCGAMGSetGraphSymmetrize

Symmetrize graph used for coarsening. Defaults to true, but if matrix has symmetric attribute, then not needed since the graph is already known to be symmetric

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGAMGSetGraphSymmetrize(PC pc, PetscBool b)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- b - default true

## Options Database Key

- -pc_gamg_graph_symmetrize (true|false) - symmetrize the graph

## See Also

the Users Manual section on PCGAMG, the Users Manual section on PCMG, `PCGAMG`, `PCGAMGSetThreshold()`, `PCGAMGSetAggressiveLevels()`, `MatCreateGraph()`, `PCGAMGMISkSetAggressive()`, `PCGAMGSetAggressiveSquareGraph()`, `PCGAMGMISkSetMinDegreeOrdering()`

## Level

intermediate

## Location

src/ksp/pc/impls/gamg/agg.c

## Implementations

PCGAMGSetGraphSymmetrize_AGG() in src/ksp/pc/impls/gamg/agg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages